<template>
    <div id="IncomePage">
        <router-link to="/Add/Expenses">
            <button class="button-add-income">AÑADIR INGRESO</button>
        </router-link>
        <section>
            <MovementListPage
                :movements="movements"
                @delete-Movements="btnDeletMovements"
                @btnedit="editMovements"
            />
        </section>
    </div>
</template>

<script>
import MovementListPage from '@/components/Movements/MovementList.vue'
import api from '@/api.js'
export default {
    name: 'IncomePage',
    components: {
        MovementListPage,
    },
    data() {
        return {
            movements: [],
            typeMovements: 'Income',
        }
    },
    mounted() {
        this.movements = this.displayMovements()
    },

    methods: {
        async displayMovements() {
            this.movements = await api.displayMovements()
        },

        async btnDeletMovements(id_movements) {
            api.deleteMovements(id_movements)
            this.displayMovements()
        },
    },
}
</script>
<style scoped>
.button-add-income {
    margin: 297px;
    margin-bottom: auto;
    width: 310px;
    height: 40px;
    border-radius: 2px;
    background-color: #76ffda;
    box-shadow: 1px 1px 3px #f0f0f0;

    cursor: pointer;
    text-decoration: none;
    overflow: hidden;
    border: none;
}
.button-add-income:hover {
    background-color: #000000;
    color: whitesmoke;
}
</style>
